开发者社区 > 云原生 > 中间件 > 正文

seata服务端jdk11, 客户端jdk17,会有兼容问题吗?

seata服务端jdk11, 客户端jdk17,会有兼容问题吗?

展开
收起
花开富贵111 2024-05-31 20:11:39 60 0
1 条回答
写回答
取消 提交回答
  • 是的,根据文档提供的信息,Seata官方支持的JDK版本为JDK8和JDK11,如果服务端使用JDK11,而客户端使用JDK17,由于JDK17与JDK11在某些API上的改变或新功能,可能会导致兼容问题,特别是如果服务端提供的API在JDK11中有新的实现,而客户端的JDK17不兼容这些新实现。在这种情况下,建议服务端和客户端使用相同或兼容的JDK版本以确保无缝协作。
    此回答整理来自钉群“3群-Apache Seata(incubating) 开源讨论群”。

    2024-06-05 08:19:00
    赞同 展开评论 打赏

为企业提供高效、稳定、易扩展的中间件产品。

热门讨论

热门文章

相关电子书

更多
《Seata 1.3 新特性以及如何参与社区》 立即下载
低代码开发师(初级)实战教程 立即下载
阿里巴巴DevOps 最佳实践手册 立即下载